/*
 *	This software is Copyright (c) 1990 by Ed Braaten.
 *
 *	Permission is hereby granted to copy, reproduce, redistribute or
 *	otherwise use this software as long as: there is no monetary
 *	profit gained specifically from the use or reproduction or this
 *	software, it is not sold, rented, traded or otherwise marketed, and
 *	this copyright notice is included prominently in any copy
 *	made.
 *
 *	The author make no claims as to the fitness or correctness of
 *	this software for any use whatsoever, and it is provided as is. 
 *	Any use of this software is at the user's own risk.
 *
 */

/*	@(#) config.h	1.0	12/31/90 	*/


/* location of the poll and service definition files */
#define POLLFILE "/usr/lib/uucp/uubatch.poll"
#define SERVFILE "/usr/lib/uucp/uubatch.serv"
#define NEWSBATCHDIR "/usr/spool/batch"


/* size of buffer used to read uubatch.poll & uubatch.serv lines */
#define LINEBUFSIZ  2048


/* defines used by the news-batching routine */
#define MAXPATHLEN  128 
#define MAXBATCHSIZ 100000L   /* max size for compressed news batches */ 
#define COMPRESS "/usr/bin/compress"
#define COMPRESS2  "/usr/local/bin/gzip"
#define UUX "/usr/bin/uux"
#define GOPT "-gz"            /* job grade option for uux if you have it */


/* user and group ids of the owner of UUCP spool directory/files */
#define UUCPUID 5
#define UUCPGID 5


/* user and group ids of the news user (creator of batch files) */
#define NEWSUID 208
#define NEWSGID 106


/* uubatch uses an array of NUMSITES elements to hold the 
 * sitename and services info.  Therefore define NUMSITES
 * below to be >= the number of sites you will have in the
 * uubatch.poll file.  See the array definition below to
 * see how NUMSERVICES & SITENAMELEN are used. 
*/ 
#define NUMSITES      32
#define NUMSERVICES    6
#define SITENAMELEN   16

/* don't change this structure! */
struct poll_entry {
   char sitename[SITENAMELEN+1];
   char services[NUMSERVICES+1];
} poll_list[NUMSITES];

struct service {
   char id;
   char *cmd;
} serv_list[NUMSERVICES];


/* This defines the environment used by the shell which executes
 * the services commands.  
*/
static char *environ[] = {
   "PATH=/bin:/usr/bin:/usr/local/bin",
   "SHELL=/bin/sh",
   (char *) 0
};
